# Operator defaults
allow_rwx_storage: True
cluster_domain: cluster.local
execution_affinity_required: True
lang_code: en
opsperator_images_registry: False
pull_policy: IfNotPresent
root_domain: demo.local
scheduling_affinity_required: True
timezone: Europe/Paris

do_affinities: True
do_backups: False
do_debugs: False
do_exporters: False
do_network_policy: False
do_triggers: False

# Apache Base Image
apache_tag: 2.4.52-20220918

# ARA
ara_playbook_labels:
- Opsperator
- SABnzbd
ara_playbook_name: SABnzbd

# LemonLDAP AuthProxy
authproxy_cpu_limit: 150m
authproxy_cpu_request: 10m
authproxy_image_source: https://gitlab.com/synacksynack/opsperator/docker-authproxy
authproxy_memory_limit: 768Mi
authproxy_memory_request: 128Mi
authproxy_tag: 2.4.52-20220918

# Kubernetes Backups Defaults
backups_daily_start_hour: 15
backups_hourly_start_minute: 15
backups_interval: daily
backups_weekly_start_day: 2

# OpenShift DeploymentConfigs
deploy_pod_cpu_limit: 50m
deploy_pod_cpu_request: 50m
deploy_pod_memory_limit: 512Mi
deploy_pod_memory_request: 128Mi
deploy_revision_history_limit: 3

# Prometheus Exporters
exporter_cpu_limit: 100m
exporter_cpu_request: 50m
exporter_memory_limit: 128Mi
exporter_memory_request: 64Mi
httpexporter_tag: 1.1.0
prometheus_match: scrape-me
prometheus_namespace_match: prometheus-monitoring
prometheus_service_label: k8s-app
sabexporter_image_source: https://gitlab.com/synacksynack/opsperator/docker-sabexporter
sabexporter_tag: 1.0.1-20210926

# Kubernetes
k8s_affinity_zone_label: kubernetes.io/hostname
k8s_namespace_nodes_selectors:
- kubernetes.io/os=linux
k8s_resource_nodes_selectors: []
tls_provider: internalca

# NetworkPolicies
default_namespace_match: default
network_policy_deployment_label: name
network_policy_namespace_label: netpol

# NNTP Povider Settings
nntp_hostname: reader.usenetbucket.com
nntp_maxconn: 10
nntp_password: False
nntp_port: 443
nntp_tls: True
nntp_username: False

# SABnzbd
sabnzbd_cpu_limit: 500m
sabnzbd_cpu_request: 50m
sabnzbd_data_capacity: 50Gi
sabnzbd_image_source: https://gitlab.com/synacksynack/opsperator/docker-sabnzbd
sabnzbd_ldap_user_objectclass: inetOrgPerson
sabnzbd_memory_limit: 1200Mi
sabnzbd_memory_request: 512Mi
sabnzbd_tag: 3.6.1

# SSHd
sshd_cpu_limit: 100m
sshd_cpu_request: 10m
sshd_memory_limit: 512Mi
sshd_memory_request: 128Mi
sshd_tag: 7.9p1-10-20220424
